Subject: Re: bug#31730: 26; doc string of `update-glyphless-char-display'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Jun 2018 18:16:50 +0300

> Date: Tue, 5 Jun 2018 22:03:07 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> The doc string is not understandable (to me).
> 
> 1. For starters, neither of the functions parameters is described.
> This is the main problem with this doc.
> 
> 2. And it's not clear what "making the setting" of a variable "take
> effect" even means.  Some help in this regard comes from the doc string
> of `glyphless-char-display-control', but the statement about making the
> setting of the variable take effect could be made more clear.  If the
> value is only set effectively by the options's :set function, then just
> say, in the doc string of `update-glyphless-char-display', that it is
> the :set function for option `glyphless-char-display'.

Yes, this function is the setter for glyphless-char-display, and I
made the change you suggested.

Thanks.